commit 92a6ff14c4d725beb8b36295b6720f182e4bffbc
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Jul 5 00:20:24 2024 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index d002973771d..335ff1bc253 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,21 @@
+2024-07-04  Kyrylo Tkachov  <ktkachov@nvidia.com>
+
+	Backported from master:
+	2024-07-03  Kyrylo Tkachov  <ktkachov@nvidia.com>
+
+	PR target/115475
+	* config/aarch64/aarch64-c.cc (aarch64_update_cpp_builtins):
+	Define __ARM_FEATURE_SVE_BF16 for TARGET_SVE_BF16.
+
+2024-07-04  Kyrylo Tkachov  <ktkachov@nvidia.com>
+
+	Backported from master:
+	2024-07-03  Kyrylo Tkachov  <ktkachov@nvidia.com>
+
+	PR target/115457
+	* config/aarch64/aarch64-c.cc (aarch64_update_cpp_builtins):
+	Define __ARM_FEATURE_BF16 for TARGET_BF16_FP.
+
 2024-07-03  John David Anglin  <danglin@gcc.gnu.org>
 
 	PR target/115691
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index efaf824b8cd..90cf77743f7 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20240704
+20240705
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index ede549333cc..e1ef55580ce 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,19 @@
+2024-07-04  Kyrylo Tkachov  <ktkachov@nvidia.com>
+
+	Backported from master:
+	2024-07-03  Kyrylo Tkachov  <ktkachov@nvidia.com>
+
+	PR target/115475
+	* gcc.target/aarch64/acle/bf16_sve_feature.c: New test.
+
+2024-07-04  Kyrylo Tkachov  <ktkachov@nvidia.com>
+
+	Backported from master:
+	2024-07-03  Kyrylo Tkachov  <ktkachov@nvidia.com>
+
+	PR target/115457
+	* gcc.target/aarch64/acle/bf16_feature.c: New test.
+
 2024-07-03  Georg-Johann Lay  <avr@gjlay.de>
 
 	Backported from master:

